Subject: Re: bug#27736: OSX 10.6.8: Building from master branch fails.

From: Keith David Bershatsky <[email-masked]>
Date: Mon, 17 Jul 2017 23:56:53 -0700

Neither of my gdb or ggdb versions show anything for "select 5" and "pp" is not recognized.  I thought perhaps "frame 5" and "print specified_time" might be fairly close to what it is that you seek, but I'm just guessing.

(gdb) frame 5
#5  0x00000001001e9746 in Fdecode_time (specified_time={i = 4506560707}, zone={i = 0}) at editfns.c:2163
2163	  struct tm *tm = emacs_localtime_rz (tz, &time_spec, &local_tm);
(gdb) print specified_time
$1 = {
  i = 4506560707
}

I built emacs using the following configure options:

CFLAGS='-O0 -g3' ./configure --enable-checking='yes,glyphs' --enable-check-lisp-object-type --with-ns --without-makeinfo --with-gnutls=no --with-mailutils

I ran the backtrace as follows, after manually interrupting the build when it stopped/froze at org-timer.el:

(gdb) run -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)' -f batch-byte-compile /Users/HOME/Desktop/emacs/lisp/org/org-timer.el

Starting program: /Users/HOME/Desktop/emacs/src/emacs -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)' -f batch-byte-compile /Users/HOME/Desktop/emacs/lisp/org/org-timer.el

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DATE:  [07-17-2017 22:08:27] <18 Jul 2017 07:08:27 +0200>
FROM:  "Charles A. Roelli" <[email-masked]>
> 
> Thanks for posting the traces.  It looks like your second trace
> matches the one I posted.  Can you please rebuild with debugging
> symbols (see etc/DEBUG) and then run the same commands that I showed
> (select 5, pp specified_time)?